2019-01-30 18:38:27 UTC
282 MB
1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
PHPIZE_DEPSautoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
PHP_ASC_URLhttps://secure.php.net/get/php-7.2.14.tar.xz.asc/from/this/mirror
PHP_CFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_CPPFLAGS-fstack-protector-strong -fpic -fpie -O2
PHP_EXTRA_CONFIGURE_ARGS--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi
PHP_INI_DIR/usr/local/etc/php
PHP_LDFLAGS-Wl,-O1 -Wl,--hash-style=both -pie
PHP_MD5 PHP_SHA256ee3f1cc102b073578a3c53ba4420a76da3d9f0c981c02b1664ae741ca65af84f
PHP_URLhttps://secure.php.net/get/php-7.2.14.tar.xz/from/this/mirror
PHP_VERSION7.2.14
[#000] sha256:5e6ec7f28fb77f84f64b8c29fcb0a746260563f5858315e3e9fcc4aee2844840 - 7.6% (21.5 MB)
[#001] sha256:cf165947b5b75ef63a7872634239e795a3063179895699dc8e0726f1039946b3 - 0.0% (229 Bytes)
[#002] sha256:7bd37682846da479bcfb64459fa36e043d3380a77b401f6de5b862d00d8dcebf - 22.78% (64.3 MB)
[#003] sha256:99daf8e838e14fb73055ddac03535d506dbf36a5a01c37497ff001c0dbd68f3e - 0.0% (181 Bytes)
[#004] sha256:5e5a056cae49034c1e7b05021b61684c6a89b54623e151d23f08cd1b9563a1e2 - 4.22% (11.9 MB)
[#005] sha256:dc6a1020a50331bc24372e4053e31efb0de94f161e159ca3740051d1aff8f37a - 0.0% (500 Bytes)
[#006] sha256:46ccabdcf8f047560ac869bf36fc64081ef69cdcf8c494c58dc347cd84505d86 - 9.7% (27.4 MB)
[#007] sha256:87e8d1e332d67bea7ddf071e7f040c5ed316ea8ae93c8b0b27b3c9d197b6f3dd - 0.0% (2.14 KB)
[#008] sha256:dbc6fdf312773ea965552f892d8ec43b0ac9d4d14c42fbf95613cb79d8d7d45a - 0.0% (256 Bytes)
[#009] sha256:48dbf73992778e30426b1979163246a78a02ce623134039c1b054da410672cd1 - 0.0% (130 Bytes)
[#010] sha256:69940737122ab46f2b881c85a6724cabbd2b859e5e06151f8f280633cbe19060 - 0.0% (7.62 KB)
[#011] sha256:b217fb988bccf3fc9cb1bd6253069772f851fe90adea96ed14cdc2c9a517e124 - 1.67% (4.71 MB)
[#012] sha256:07e6507913b7909c93853363897f9be763437326224612f8ac3856d31e0d3d09 - 0.0% (169 Bytes)
[#013] sha256:d086adb07f685412d8cb70a4e2b64e975ebb5705470d37dc5abba9ba14c1ee6a - 6.51% (18.4 MB)
[#014] sha256:2a77c9c71da82687ec0d0eed9c5ef2aff6b09d8426c0f991cb2f7018ccd7cbd2 - 0.43% (1.22 MB)
[#015] sha256:a6196df53d6b71e59aa8ef3349fba4ffbc9f9f4b40c5497ba2c5d3d9575ec569 - 23.39% (66 MB)
[#016] sha256:b6dbc888c693909c4841e42a2fe36571e0038b1f819df0b9abdf66016ee68a17 - 23.71% (66.9 MB)
[#017] sha256:c3fc784cc352e96ff36a3980790681b54ed8a674efda476fd7eddee97136b622 - 0.0% (1.17 KB)
/bin/sh -c #(nop) ADD file:a65337a57a064a79ad8a3f42e8282b3e01710cb4684ccd880463cc8d2e051fa5 in /
2019-01-22 19:30:32 UTC/bin/sh -c #(nop) CMD ["bash"]
2019-01-22 21:46:13 UTC/bin/sh -c set -eux; { echo 'Package: php*'; echo 'Pin: release *'; echo 'Pin-Priority: -1'; } > /etc/apt/preferences.d/no-debian-php
2019-01-22 21:46:14 UTC/bin/sh -c #(nop) ENV PHPIZE_DEPS=autoconf dpkg-dev file g++ gcc libc-dev make pkg-config re2c
2019-01-22 21:46:46 UTC/bin/sh -c apt-get update && apt-get install -y $PHPIZE_DEPS ca-certificates curl xz-utils --no-install-recommends && rm -r /var/lib/apt/lists/*
2019-01-22 21:46:46 UTC/bin/sh -c #(nop) ENV PHP_INI_DIR=/usr/local/etc/php
2019-01-22 21:46:47 UTC/bin/sh -c mkdir -p $PHP_INI_DIR/conf.d
2019-01-22 22:01:33 UTC/bin/sh -c #(nop) ENV PHP_EXTRA_CONFIGURE_ARGS=--enable-fpm --with-fpm-user=www-data --with-fpm-group=www-data --disable-cgi
2019-01-22 22:01:34 UTC/bin/sh -c #(nop) ENV PHP_CFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-01-22 22:01:34 UTC/bin/sh -c #(nop) ENV PHP_CPPFLAGS=-fstack-protector-strong -fpic -fpie -O2
2019-01-22 22:01:34 UTC/bin/sh -c #(nop) ENV PHP_LDFLAGS=-Wl,-O1 -Wl,--hash-style=both -pie
2019-01-22 22:31:46 UTC/bin/sh -c #(nop) ENV GPG_KEYS=1729F83938DA44E27BA0F4D3DBDB397470D12172 B1B44D8F021E4E2D6021E995DC9FF8D3EE5AF27F
2019-01-22 22:31:46 UTC/bin/sh -c #(nop) ENV PHP_VERSION=7.2.14
2019-01-22 22:31:46 UTC/bin/sh -c #(nop) ENV PHP_URL=https://secure.php.net/get/php-7.2.14.tar.xz/from/this/mirror PHP_ASC_URL=https://secure.php.net/get/php-7.2.14.tar.xz.asc/from/this/mirror
2019-01-22 22:31:47 UTC/bin/sh -c #(nop) ENV PHP_SHA256=ee3f1cc102b073578a3c53ba4420a76da3d9f0c981c02b1664ae741ca65af84f PHP_MD5=
2019-01-22 22:31:57 UTC/bin/sh -c set -xe; fetchDeps=' wget '; if ! command -v gpg > /dev/null; then fetchDeps="$fetchDeps dirmngr gnupg "; fi; apt-get update; apt-get install -y --no-install-recommends $fetchDeps; rm -rf /var/lib/apt/lists/*; mkdir -p /usr/src; cd /usr/src; wget -O php.tar.xz "$PHP_URL"; if [ -n "$PHP_SHA256" ]; then echo "$PHP_SHA256 *php.tar.xz" | sha256sum -c -; fi; if [ -n "$PHP_MD5" ]; then echo "$PHP_MD5 *php.tar.xz" | md5sum -c -; fi; if [ -n "$PHP_ASC_URL" ]; then wget -O php.tar.xz.asc "$PHP_ASC_URL"; export GNUPGHOME="$(mktemp -d)"; for key in $GPG_KEYS; do gpg --batch --keyserver ha.pool.sks-keyservers.net --recv-keys "$key"; done; gpg --batch --verify php.tar.xz.asc php.tar.xz; command -v gpgconf > /dev/null && gpgconf --kill all; rm -rf "$GNUPGHOME"; fi; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false $fetchDeps
2019-01-22 22:31:57 UTC/bin/sh -c #(nop) COPY file:ce57c04b70896f77cc11eb2766417d8a1240fcffe5bba92179ec78c458844110 in /usr/local/bin/
2019-01-22 22:38:48 UTC/bin/sh -c set -eux; savedAptMark="$(apt-mark showmanual)"; apt-get update; apt-get install -y --no-install-recommends libcurl4-openssl-dev libedit-dev libsodium-dev libsqlite3-dev libssl-dev libxml2-dev zlib1g-dev ${PHP_EXTRA_BUILD_DEPS:-} ; sed -e 's/stretch/buster/g' /etc/apt/sources.list > /etc/apt/sources.list.d/buster.list; { echo 'Package: *'; echo 'Pin: release n=buster'; echo 'Pin-Priority: -10'; echo; echo 'Package: libargon2*'; echo 'Pin: release n=buster'; echo 'Pin-Priority: 990'; } > /etc/apt/preferences.d/argon2-buster; apt-get update; apt-get install -y --no-install-recommends libargon2-dev; rm -rf /var/lib/apt/lists/*; export CFLAGS="$PHP_CFLAGS" CPPFLAGS="$PHP_CPPFLAGS" LDFLAGS="$PHP_LDFLAGS" ; docker-php-source extract; cd /usr/src/php; gnuArch="$(dpkg-architecture --query DEB_BUILD_GNU_TYPE)"; debMultiarch="$(dpkg-architecture --query DEB_BUILD_MULTIARCH)"; if [ ! -d /usr/include/curl ]; then ln -sT "/usr/include/$debMultiarch/curl" /usr/local/include/curl; fi; ./configure --build="$gnuArch" --with-config-file-path="$PHP_INI_DIR" --with-config-file-scan-dir="$PHP_INI_DIR/conf.d" --enable-option-checking=fatal --with-mhash --enable-ftp --enable-mbstring --enable-mysqlnd --with-password-argon2 --with-sodium=shared --with-curl --with-libedit --with-openssl --with-zlib $(test "$gnuArch" = 's390x-linux-gnu' && echo '--without-pcre-jit') --with-libdir="lib/$debMultiarch" ${PHP_EXTRA_CONFIGURE_ARGS:-} ; make -j "$(nproc)"; make install; find /usr/local/bin /usr/local/sbin -type f -executable -exec strip --strip-all '{}' + || true; make clean; cp -v php.ini-* "$PHP_INI_DIR/"; cd /; docker-php-source delete; apt-mark auto '.*' > /dev/null; [ -z "$savedAptMark" ] || apt-mark manual $savedAptMark; find /usr/local -type f -executable -exec ldd '{}' ';' | awk '/=>/ { print $(NF-1) }' | sort -u | xargs -r dpkg-query --search | cut -d: -f1 | sort -u | xargs -r apt-mark manual ; apt-get purge -y --auto-remove -o APT::AutoRemove::RecommendsImportant=false; php --version; pecl update-channels; rm -rf /tmp/pear ~/.pearrc
2019-01-22 22:38:49 UTC/bin/sh -c #(nop) COPY multi:cbc68fef2c8554b9a23fee7eee16ffda927235f929048638240f97172562665c in /usr/local/bin/
2019-01-22 22:38:49 UTC/bin/sh -c docker-php-ext-enable sodium
2019-01-22 22:38:50 UTC/bin/sh -c #(nop) ENTRYPOINT ["docker-php-entrypoint"]
2019-01-22 22:38:50 UTC/bin/sh -c #(nop) WORKDIR /var/www/html
2019-01-22 22:38:51 UTC/bin/sh -c set -ex && cd /usr/local/etc && if [ -d php-fpm.d ]; then sed 's!=NONE/!=!g' php-fpm.conf.default | tee php-fpm.conf > /dev/null; cp php-fpm.d/www.conf.default php-fpm.d/www.conf; else mkdir php-fpm.d; cp php-fpm.conf.default php-fpm.d/www.conf; { echo '[global]'; echo 'include=etc/php-fpm.d/*.conf'; } | tee php-fpm.conf; fi && { echo '[global]'; echo 'error_log = /proc/self/fd/2'; echo; echo '[www]'; echo '; if we send this to /proc/self/fd/1, it never appears'; echo 'access.log = /proc/self/fd/2'; echo; echo 'clear_env = no'; echo; echo '; Ensure worker stdout and stderr are sent to the main error log.'; echo 'catch_workers_output = yes'; } | tee php-fpm.d/docker.conf && { echo '[global]'; echo 'daemonize = no'; echo; echo '[www]'; echo 'listen = 9000'; } | tee php-fpm.d/zz-docker.conf
2019-01-22 22:38:51 UTC/bin/sh -c #(nop) EXPOSE 9000
2019-01-22 22:38:51 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
2019-01-30 18:28:45 UTC/bin/sh -c #(nop) LABEL [email protected]
2019-01-30 18:28:46 UTC/bin/sh -c #(nop) ARG version=3.15.7+190124
2019-01-30 18:29:38 UTC|1 version=3.15.7+190124 /bin/sh -c apt-get update && DEBIAN_FRONTEND=noninteractive apt-get install --no-install-recommends -y libldap2-dev zlib1g-dev libc-client-dev libkrb5-dev libpng-dev libpq-dev netcat && apt-get autoclean; apt-get autoremove && rm -rf /var/lib/apt/lists/*
2019-01-30 18:29:39 UTC|1 version=3.15.7+190124 /bin/sh -c ln -fs /usr/lib/x86_64-linux-gnu/libldap.so /usr/lib/
2019-01-30 18:30:32 UTC|1 version=3.15.7+190124 /bin/sh -c docker-php-ext-configure imap --with-kerberos --with-imap-ssl
2019-01-30 18:37:32 UTC|1 version=3.15.7+190124 /bin/sh -c docker-php-ext-install -j5 gd imap ldap mbstring pdo pdo_mysql pdo_pgsql pgsql zip
2019-01-30 18:37:46 UTC/bin/sh -c #(nop) ADD 2438512f1979c011e5e1e5c6b6445dd454b645adc124a37fa8ddd885ac8af0b1 in /tmp
2019-01-30 18:38:24 UTC|1 version=3.15.7+190124 /bin/sh -c tar xzvf "/tmp/${version}.tar.gz" --strip-components=1 -C /var/www/html/ && rm "/tmp/${version}.tar.gz" && chown -R www-data:www-data /var/www/html
2019-01-30 18:38:26 UTC/bin/sh -c #(nop) EXPOSE 9000
2019-01-30 18:38:26 UTC/bin/sh -c #(nop) COPY file:e0e6ed85a8fd2c3e98eb1e662f7f7a6dafad95c2c9dc3566570d17dee03a4754 in entrypoint.sh
2019-01-30 18:38:26 UTC/bin/sh -c #(nop) ENTRYPOINT ["/var/www/html/entrypoint.sh"]
2019-01-30 18:38:27 UTC/bin/sh -c #(nop) CMD ["php-fpm"]
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.